## feroxbuster 2.13.0

=== Makefile ===
default_prefix = /usr/local
prefix ?= $(default_prefix)
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
datadir = $(datarootdir)
example_config = ferox-config.toml.example
config_file = ferox-config.toml
completion_dir = shell_completions
completion_prefix = $(completion_dir)/$(BIN)

BIN=feroxbuster
SHR_SOURCES = $(shell find src -type f -wholename '*src/*.rs') Cargo.toml Cargo.lock

RELEASE = debug
DEBUG ?= 0

ifeq (0, $(DEBUG))
	ARGS = --release
	RELEASE = release
endif

VENDORED ?= 0
ifeq (1,$(VENDORED))
    ARGS += --frozen
endif

TARGET = target/$(RELEASE)

.PHONY: all clean install uninstall test update

all: cli
cli: $(TARGET)/$(BIN) $(TARGET)/$(BIN).1.gz $(SHR_SOURCES)
install: all install-cli

verify:
	cargo fmt
	cargo clippy --all-targets --all-features -- -D warnings -A clippy::mutex-atomic
	cargo test

clean:
	cargo clean

vendor: vendor.tar

vendor.tar:
	cargo vendor
	tar pcf vendor.tar vendor
	rm -rf vendor

install-cli: cli
	install -Dm 0644 "$(completion_prefix).bash" "$(DESTDIR)/usr/share/bash-completion/completions/$(BIN).bash"
	install -Dm 0644 "$(completion_prefix).fish" "$(DESTDIR)/usr/share/fish/completions/$(BIN).fish"
	install -Dm 0644 "$(completion_dir)/_$(BIN)" "$(DESTDIR)/usr/share/zsh/vendor-completions/_$(BIN)"
	install -sDm 0755 "$(TARGET)/$(BIN)" "$(DESTDIR)$(bindir)/$(BIN)"
	install -Dm 0644 "$(TARGET)/$(BIN).1.gz" "$(DESTDIR)$(datadir)/man/man1/$(BIN).1.gz"
	install -Dm 0644 "$(example_config)" "$(DESTDIR)/etc/$(BIN)/$(config_file)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(BIN)"
	rm -f "$(DESTDIR)$(datadir)/man/man1/$(BIN).1.gz"
	rm -rf "$(DESTDIR)/etc/$(BIN)/"
	rm -f "$(DESTDIR)/usr/share/bash-completion/completions/$(BIN).bash"
	rm -f "$(DESTDIR)/usr/share/zsh/vendor-completions/_$(BIN)"
	rm -f "$(DESTDIR)/usr/share/fish/completions/$(BIN).fish"

extract:
ifeq (1, $(VENDORED))
	tar pxf vendor.tar
endif

$(TARGET)/$(BIN): extract
	mkdir -p .cargo debian
	touch debian/cargo.config
	cp debian/cargo.config .cargo/config.toml
	cargo build $(ARGS)

$(TARGET)/$(BIN).1.gz: $(TARGET)/$(BIN)
	help2man --no-info $< | gzip -c > $@.partial
	mv $@.partial $@

## feroxbuster 2.10.0

=== debian/changelog ===
feroxbuster (2.10.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:11:17 +0200

feroxbuster (2.10.0-0kali1) kali-experimental; urgency=medium

  * CI: disable builds on armel and armhf too
  * CI: Add a note about the current failures
  * New upstream version 2.10.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 May 2023 11:27:43 +0200

feroxbuster (2.9.1-0kali1) kali-experimental; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 2.9.1
  * Refresh patches
  * Minimal version of rustc is 1.64

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Mar 2023 14:54:33 +0100

feroxbuster (2.7.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.3

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 03 Jan 2023 16:11:27 +0100

feroxbuster (2.7.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.2
  * Update patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 Dec 2022 18:37:41 +0100

feroxbuster (2.7.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 28 Sep 2022 14:52:07 +0200

feroxbuster (2.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Apr 2022 09:16:27 +0200

feroxbuster (2.6.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.6.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 Apr 2022 17:16:18 +0200

feroxbuster (2.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.6.1
  * Change CARGO_HOME directory in debian/rules
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Mar 2022 15:51:46 +0100

feroxbuster (2.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.5.0
  * Refresh patches
  * Add a patch to fix a syntax issue

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Feb 2022 14:50:13 +0100

feroxbuster (2.4.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.4.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Dec 2021 11:18:59 +0100

feroxbuster (2.4.0-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Add patch to remove unneeded semi-colons from macros
  * Add arm64 as a build target and add libssl-dev build-dep

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 09 Dec 2021 21:10:26 +0700

feroxbuster (2.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.4.0
  * Refresh patches
  * Bump Standards-Version to 4.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Oct 2021 11:49:11 +0200

feroxbuster (2.3.3-0kali1) kali-dev; urgency=medium

  * Disable build ci for i386
  * New upstream version 2.3.3
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Aug 2021 14:22:46 +0200

feroxbuster (2.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.3.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Jul 2021 15:41:08 +0200

feroxbuster (2.3.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 2.3.0
  * Refresh patches
  * Use only specific CARGO_HOME during build
  * Add a patch to improve Makefile
  * Add seclists in Suggests
  * Exit with status 0 if --help is used

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Jul 2021 15:36:53 +0200

feroxbuster (2.2.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Benjamin 'epi' Risher <epibar052@gmail.com>  Sun, 21 Feb 2021 15:20:48 -0500

=== debian/control ===
Source: feroxbuster
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: ca-certificates,
               cargo,
		       rustc (>= 1.64),
               debhelper-compat (= 13),
               help2man,
               libssl-dev
Standards-Version: 4.6.2
Homepage: https://github.com/epi052/feroxbuster
Rules-Requires-Root: no

Package: feroxbuster
Architecture: amd64 arm64
Depends: fonts-noto-color-emoji, seclists, ${misc:Depends}, ${shlibs:Depends}
Description: fast, simple, recursive content discovery tool written in Rust
 feroxbuster is a tool designed to perform Forced Browsing.
 Forced browsing is an attack where the aim is to enumerate and
 access resources that are not referenced by the web application,
 but are still accessible by an attacker.
 feroxbuster uses brute force combined with a wordlist to search
 for unlinked content in target directories. These resources may
 store sensitive information about web applications and operational
 systems, such as source code, credentials, internal network
 addressing, etc...
 This attack is also known as Predictable Resource Location, File
 Enumeration, Directory Enumeration, and Resource Enumeration.

## feroxbuster 2.11.0

=== debian/changelog ===
feroxbuster (2.11.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.11.0
  * Refresh patches
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 17 Sep 2024 09:49:50 +0200

feroxbuster (2.10.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.10.4
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Jun 2024 11:10:42 +0200

feroxbuster (2.10.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.10.3
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 29 Apr 2024 12:32:28 +0200

feroxbuster (2.10.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.10.2
  * Refresh patches
  * Force previous version for clap depencency

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 04 Mar 2024 17:20:25 +0100

feroxbuster (2.10.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.10.1
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 Nov 2023 13:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: feroxbuster
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Benjamin 'epi' Risher <epibar052@gmail.com>
 Build-Depends: ca-certificates,
                cargo,
-		       rustc (>= 1.64),
+	       rustc (>= 1.64),
                debhelper-compat (= 13),
                help2man,
                libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/epi052/feroxbuster
+Vcs-Browser: https://gitlab.com/kalilinux/packages/feroxbuster
+Vcs-Git: https://gitlab.com/kalilinux/packages/feroxbuster.git
 Rules-Requires-Root: no
 
 Package: feroxbuster

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/feroxbuster-$1\.tar\.gz/ \
  https://github.com/epi052/feroxbuster/tags .*/v?(\d\S+)\.tar\.gz

## feroxbuster 2.12.0

=== debian/changelog ===
feroxbuster (2.12.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 2.12.0
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 29 Sep 2025 09:18:19 +0200

## feroxbuster 2.13.0

=== debian/changelog ===
feroxbuster (2.13.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.0
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 13 Oct 2025 11:28:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://github.com/epi052/feroxbuster
 Vcs-Browser: https://gitlab.com/kalilinux/packages/feroxbuster
 Vcs-Git: https://gitlab.com/kalilinux/packages/feroxbuster.git
-Rules-Requires-Root: no
 
 Package: feroxbuster
 Architecture: amd64 arm64

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DH_VERBOSE = 1
export DB_OPTIONS = -v


export VENDORED ?= 1
CLEAN ?= 1

ifeq ($(VENDORED),1)
	export CARGO_HOME="$(CURDIR)/target/cargo"
endif

%:
	dh $@

override_dh_auto_build:
ifeq ($(VENDORED),1)
	make vendor
endif
	dh_auto_build

override_dh_auto_clean:
ifeq ($(CLEAN),1)
	make clean
endif

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/tests/control ===
Test-Command: feroxbuster -h
Restrictions: superficial

## feroxbuster 2.13.1

=== debian/changelog ===
feroxbuster (2.13.1-0kali1) kali-dev; urgency=medium

  * Update Uploaders
  * Update debian/watch to version 5
  * Bump Standards-Version
  * New upstream version 2.13.1
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 17 Dec 2025 10:59:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: misc
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Benjamin 'epi' Risher <epibar052@gmail.com>
+Uploaders:
+ Daniel Ruiz de Alegría <daniruiz@kali.org>,
+ Benjamin 'epi' Risher <epibar052@gmail.com>,
 Build-Depends: ca-certificates,
                cargo,
 	       rustc (>= 1.64),
                debhelper-compat (= 13),
                help2man,
                libssl-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/epi052/feroxbuster
 Vcs-Browser: https://gitlab.com/kalilinux/packages/feroxbuster
 Vcs-Git: https://gitlab.com/kalilinux/packages/feroxbuster.git

=== debian/watch ===
Version: 5

Template: Github
Owner: epi052
Project: feroxbuster
